import { BaseResource } from "../../common";
import { APIProfileFormCount, StoreProfileFormCount } from "./interfaces";
export declare class ProfileFormCount extends BaseResource {
    profileId: string;
    formsSent: number;
    formsAnswered: number;
    constructor(profileId: string, formsSent: number, formsAnswered: number);
    static get resourceName(): string;
    static get serviceName(): string;
    serializeAPI(): APIProfileFormCount;
    /**
     * Deserialize the data from the API server.
     */
    deserializeAPI(data: APIProfileFormCount): void;
    serializeRedux(): StoreProfileFormCount;
    /**
     * Create a profile-form-count from the API server data.
     *
     * @param data Data from the api server.
     *
     * @returns The profile-form-count object.
     */
    static apiFactory(data: APIProfileFormCount): ProfileFormCount;
    /**
     * Create a profile-form-count from the Redux store data.
     *
     * @param data Data from the api server.
     *
     * @returns The profile-form-count object.
     */
    static reduxFactory(data: StoreProfileFormCount): ProfileFormCount;
    /**
     * Returns list of form counts for the specified reports.
     *
     * @param profileIds Id of the profile.
     */
    static getProfileFormCounts(profileIds: string[]): Promise<ProfileFormCount[]>;
}
